summaryrefslogtreecommitdiffstats
path: root/tests/ci/clean_images.sh
diff options
context:
space:
mode:
authorRex Lee <limingjiang@huawei.com>2016-12-22 02:52:16 +0000
committerGerrit Code Review <gerrit@opnfv.org>2016-12-22 02:52:16 +0000
commitad37cb3cc16f8979caf7dc836e4fda8fe7955d5c (patch)
tree8762e28fe38485c561f2e93a1472401392eff220 /tests/ci/clean_images.sh
parent675954a9f2b15bc945f274cd6c60a530642b247e (diff)
parent303361e1c69d5743ba621d37db1515297597f666 (diff)
Merge "Replace heat, keystone and nova command with openstack command"
Diffstat (limited to 'tests/ci/clean_images.sh')
-rwxr-xr-xtests/ci/clean_images.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/tests/ci/clean_images.sh b/tests/ci/clean_images.sh
index b1942160b..5d661283d 100755
--- a/tests/ci/clean_images.sh
+++ b/tests/ci/clean_images.sh
@@ -15,15 +15,15 @@ cleanup()
echo
echo "========== Cleanup =========="
- if ! glance image-list; then
+ if ! openstack image list; then
return
fi
- for image in $(glance image-list | grep -e cirros-0.3.3 -e yardstick-image -e Ubuntu-14.04 \
+ for image in $(openstack image list | grep -e cirros-0.3.3 -e yardstick-image -e Ubuntu-14.04 \
-e yardstick-vivid-kernel | awk '{print $2}'); do
echo "Deleting image $image..."
- glance image-delete $image || true
+ openstack image delete $image || true
done
- nova flavor-delete yardstick-flavor &> /dev/null || true
+ openstack flavor delete yardstick-flavor &> /dev/null || true
}